Bug 1119709 - Rebase to latest stable LibreOffice 4.2.X in RHEL-7.1
Summary: Rebase to latest stable LibreOffice 4.2.X in RHEL-7.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: pre-dev-freeze
: 7.1
Assignee: David Tardon
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1130552 1130553 1130554 1132065 1132069 1132070 1132072 1132077
Blocks: 1065807 1096295 1111216 1117853 1125588
TreeView+ depends on / blocked
 
Reported: 2014-07-15 10:34 UTC by Caolan McNamara
Modified: 2015-03-05 08:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Important: if this rebase instead contains *only bug fixes,* or *only enhancements*, select the correct option from the Doc Type drop-down list. Rebase package(s) to version: 4.2.6.3 Highlights, important fixes, or notable enhancements: * Improved OpenXML interoperability. * Additional statistic functions in Calc (for interoperability with Excel and Excel's Add-in "Analysis ToolPak"). * Various performance improvements in Calc. * Apple Keynote and Abiword import. * Improved MathML export. * New Start screen with thumbnails of recently opened documents. * Visual clue in Slide Sorter when a Slide has a transition or animation(s). * Improvements for trend lines in charts. * Support for BCP-47 language tags. * And many more: full list is available at https://wiki.documentfoundation.org/ReleaseNotes/4.2.
Clone Of:
Environment:
Last Closed: 2015-03-05 08:50:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0377 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2015-03-05 13:48:57 UTC

Description Caolan McNamara 2014-07-15 10:34:53 UTC
Description of problem:
Rebase to latest stable libreoffice 4.2.X


Version-Release number of selected component (if applicable):
libreoffice-4.1.4.2-2.el6

Comment 1 Caolan McNamara 2014-07-15 10:36:08 UTC
There are dependencies of LibreOffice 4.2.X which would probably need to be upgraded and perhaps some additional dependencies added. Full list to be clarified.

Comment 3 Caolan McNamara 2014-08-12 11:44:01 UTC
https://home.corp.redhat.com/wiki/libreoffice-rhel-7-rebase

dependencies we need to also rebase:
libmwaw (0.1.11 -> 0.2.0)
libodfgen (0.0.2 -> 0.0.4)
libcmis (0.3.0 -> 0.4.1)
mdds (0.8.1 -> 0.10.3)
libcdr (0.0.14 -> 0.0.15)
liblangtag (0.5.1 -> 0.5.4)

new dependencies we need to add:
libabw
libetonyek
libfreehand

Comment 7 errata-xmlrpc 2015-03-05 08:50:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0377.html


Note You need to log in before you can comment on or make changes to this bug.